uniform sampler2D ColorTex0;
uniform sampler2D Background;

void main(void)
{
	vec4 SumColor = texture2D(ColorTex0, gl_TexCoord[0].xy);
	vec4 BackgroundColor = texture2D(Background, gl_TexCoord[0].xy);
	gl_FragColor.rgb = SumColor.rgb + (BackgroundColor.rgb * (1.0 - SumColor.a));
	gl_FragColor.a = 1.0;

}
